[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.GetControlIndex

Finds the position for the specified control in the Controls property.

## Declaration

Source position: controls.pp line 2399

`public function TWinControl.GetControlIndex(`
`AControl: TControl`
`):Integer;`

## Arguments

`AControl` |  | The child control to locate in the method.

## Function result

The ordinal position in Controls, -1 if not found.

## Description

Calls the IndexOf method in Controls to find the child control in AControl. The return value contains the ordinal position in Controls where AControl is stored, or -1 when not found or Controls has not been assigned.

## See also

TWinControl.Controls |  | Provides indexed access to the child controls for the class instance.
TFPList.IndexOf